Bug 8539 - error at creating ext2 fs
: error at creating ext2 fs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-22 15:26 by
Modified: 2006-08-31 15:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-22 15:26:28
mkinitrd-2.9.1-alt1

1) подсчёт IMAGESIZE идёт в 4к блоках, а параметр для ext2fs не передаётся

/sbin/mkinitrd:
line 500:
- mke2fs -q -m 0 -F -N "$INODES" "$IMAGE" &&
+ mke2fs -b 4096 -q -m 0 -F -N "$INODES" "$IMAGE" &&

2) надо ли учитывать кол-во инодов в фс, как это делает lvmcreate-initrd?

/sbin/mkinitrd:
line 484:
-IMAGESIZE=$[IMAGESIZE*6/5]
+IMAGESIZE=$[IMAGESIZE*6/5 + INODES/32]

В lvmcreate-initrd - INODES/8. Я так понимаю кол-во инодов в 1к блоке?

Без этого вылезает ошибка о не хватке места.
------- Comment #1 From 2005-11-22 15:55:01 -------
В Сизифе уже довольно давно во все ядра встроена поддержка romfs, и mkinitrd
создаёт initrd именно в формате romfs, а код для поддержки ext2 просто не
используется; неудивительно, что он сломан.

На самом деле можно использовать romfs и при необходимости поддержки lvm в
initrd, только придётся монтировать tmpfs в нужные места (а в идеальном случае
для ядер 2.6 вообще надо переходить с initrd на initramfs - там проблемы с
записью нет, правда, чистить за собой менее удобно).
------- Comment #2 From 2006-06-13 18:29:56 -------
Fixed in mkinitrd-2.9.9-alt1.